Check refund eligibility

GET
/payments/{id}/refund-details

Refunds are only available when using Volt Connect

Usage

Pass the id of the existing payment in the URL to check whether this payment is eligible for a refund.

More information

Full details on how to request refunds, with full details of notifications you can expect, can be found in our comprehensive integration guides.

Path Parameters

id*string

ID of the refund

Formatuuid

Response Body

All payments details for specified filters

application/json
  1. response
refundAvailable?boolean

Whether a refund is currently available for this payment

remainingDays?integer

A refund can only be processed within the timeframe specified (in calendar days)

availableAmount?integer

The currently refundable amount, in 1/100 units (pence, cents etc)

refundedAmount?integer

The amount already refunded, in 1/100 units (pence, cents etc)

numberOfRefunds?integer

The number of refunds already processed for this payment

message?string

If a refund is available, this will be null

code?string

If a refund is available, this will be null

Example Request
curl -X GET 'https://connect-api-sandbox.volt.io/payments/93b85f3c-76eb-4316-b1ae-f3370ddc59bc/refund-details'
Example Response
{  "refundAvailable": true,  "remainingDays": 0,  "availableAmount": 0,  "refundedAmount": 0,  "numberOfRefunds": 0,  "message": "string",  "code": "string"}